package com.zehong.system.mapper;

import java.util.List;
import com.zehong.system.domain.TTradeChangeInfo;

/**
 * 交易项目转移信息Mapper接口
 * 
 * @author zehong
 * @date 2023-09-12
 */
public interface TTradeChangeInfoMapper 
{
    /**
     * 查询交易项目转移信息
     * 
     * @param changeId 交易项目转移信息ID
     * @return 交易项目转移信息
     */
    public TTradeChangeInfo selectTTradeChangeInfoById(Long changeId);

    /**
     * 查询交易项目转移信息列表
     * 
     * @param tTradeChangeInfo 交易项目转移信息
     * @return 交易项目转移信息集合
     */
    public List<TTradeChangeInfo> selectTTradeChangeInfoList(TTradeChangeInfo tTradeChangeInfo);

    /**
     * 新增交易项目转移信息
     * 
     * @param tTradeChangeInfo 交易项目转移信息
     * @return 结果
     */
    public int insertTTradeChangeInfo(TTradeChangeInfo tTradeChangeInfo);

    /**
     * 修改交易项目转移信息
     * 
     * @param tTradeChangeInfo 交易项目转移信息
     * @return 结果
     */
    public int updateTTradeChangeInfo(TTradeChangeInfo tTradeChangeInfo);

    /**
     * 删除交易项目转移信息
     * 
     * @param changeId 交易项目转移信息ID
     * @return 结果
     */
    public int deleteTTradeChangeInfoById(Long changeId);

    /**
     * 批量删除交易项目转移信息
     * 
     * @param changeIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteTTradeChangeInfoByIds(Long[] changeIds);
}
